Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 909856 - app-admin/ansible: needs to use PEP517 build (DistutilsNonPEP517Build)
Summary: app-admin/ansible: needs to use PEP517 build (DistutilsNonPEP517Build)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Matthew Thode ( prometheanfire )
URL:
Whiteboard:
Keywords:
: 909857 (view as bug list)
Depends on:
Blocks: 909855
  Show dependency tree
 
Reported: 2023-07-08 06:36 UTC by Michał Górny
Modified: 2024-01-29 14:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-07-08 06:36:02 UTC
This package still uses the legacy eclass code paths.  These paths are deprecated and pose a significant maintenance cost.  Please update the package to use PEP517 build mode.  For more information, please see the Python Guide, particularly; https://projects.gentoo.org/python/guide/migration.html#migrating-to-pep-517-builds
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-07-08 06:44:48 UTC
*** Bug 909857 has been marked as a duplicate of this bug. ***
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-07-08 20:40:54 UTC
[Adding this comment en-masse, sorry for the noise, but it's important.)

1. Please take particular care to check file diffs before/after, possibly using `iwdevtools`. Keep a particular eye out for e.g. config files now missing from /etc and instead being in /usr/lib/python*/site-packages, etc.

2. Please make sure to do the migration in a new revision in ~arch, partly because of 1.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-01-29 14:01:48 UTC
There's a PEP517 ebuild now.